# Notifications
# Enable notifications (requires working email settings)
# TODO: Make notifications not crash the app if email sending doesn't work.
# To enable notices you also need to enable the context processor and
# application below.
ENABLE_NOTICES = False

# If True it requires a `./manage.py emit_notices` from the command line to 
# send the notifications/emails.
NOTIFICATION_QUEUE_ALL = True

# Tagging
FORCE_LOWERCASE_TAGS = True

# Registration - OpenID (Currently not used)
# Requires respective middleware and application 
ENABLE_OPENID=False

# Usefull to work with another authentication backends
# When True the registration system (django-profile) is disabled
ENABLE_SIMPLEAUTH=False

# Enable download of compressed zip/targz files in the Language x Release page
# For now it's dissabled by default until we find out a faster way to compact those files on fly
ENABLE_COMPRESSED_DOWNLOAD = True

# Django-profile
AUTH_PROFILE_MODULE = 'txcommon.profile'
DEFAULT_AVATAR_WIDTH = 96
AVATAR_WEBSEARCH = False
GOOGLE_MAPS_API_KEY = "ABQIAAAAfLle-Q79W6zCD3xcdCPsABQCULP4XOMyhPd8d_NrQQEO8sT8XBRbfo_kvrGWYPqQ7PnWFWJbDj4bQQ"
REQUIRE_EMAIL_CONFIRMATION = False

ugettext = lambda s: s
LOGIN_URL = '/%s%s' % ('accounts/', 'login/')

# Default timeout duration in days
# How many days should the user stay logged in if he selects "Stay signed in"?
LOGIN_DAYS = 21

# The directory where the vcs app will checkout stuff and play around.
# Warning: On production systems this should be a place outside of the source
# and with enough disk space. Eg. /var/lib/transifex.
SCRATCH_DIR = os.path.join('/var/lib/transifex', 'scratchdir')

AJAX_LOOKUP_CHANNELS = {
    # the simplest case, pass a DICT with the model and field to search against :
    'users' : ('txcommon.lookups', 'UsersLookup'),
    'components' : ('projects.lookups', 'ComponentsLookup'),
}
